net.dontdrinkandroot.cache.utils

## Class Serializer

- java.lang.Object
- - net.dontdrinkandroot.cache.utils.Serializer

    public class Serializer
    extends Object

Required Methods from Apache Commons Lang SerializationUtils.

Author:
  Apache Commons Lang

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

Methods
`static <T extends Serializable> T` `clone(T object)` Fast cloning as described here.
`static Object` `deserialize(byte[] objectData)`
`static Object` `deserialize(InputStream inputStream)`
`static byte[]` `serialize(Serializable obj)`
`static void` `serialize(Serializable obj, OutputStream outputStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public static byte[] serialize(Serializable obj)

#### serialize

    public static void serialize(Serializable obj,
                 OutputStream outputStream)

#### deserialize

    public static Object deserialize(byte[] objectData)

#### deserialize

    public static Object deserialize(InputStream inputStream)

#### clone

    public static <T extends Serializable> T clone(T object)

Fast cloning as described here.